Apache Struts API Documentation: Class SessionActionMapping

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class SessionActionMapping

    java.lang.Object
      |
      +--org.apache.struts.action.ActionMapping
            |
            +--org.apache.struts.action.SessionActionMapping

All Implemented Interfaces:
  java.io.Serializable

public class SessionActionMapping
extends ActionMapping

Subclass of `ActionMapping` that defaults the form bean scope to `session`.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Fields inherited from class org.apache.struts.action.ActionMapping
`attribute, forward, forwards, include, input, instance, mappings, multipartClass, name, parameter, path, prefix, scope, suffix, type, unknown, validate`

Constructor Summary
`SessionActionMapping()` Construct a new instance of this class with the desired default form bean scope.

Methods inherited from class org.apache.struts.action.ActionMapping
`addForward, createFormInstance, findForward, findForwards, getActionClass, getAttribute, getFormAttribute, getFormClass, getFormPrefix, getFormScope, getFormSuffix, getForward, getInclude, getInput, getInputForm, getMappings, getMultipartClass, getName, getParameter, getPath, getPrefix, getScope, getSuffix, getType, getUnknown, getValidate, removeForward, setActionClass, setAttribute, setFormAttribute, setFormClass, setFormPrefix, setFormScope, setFormSuffix, setForward, setInclude, setInput, setInputForm, setMappings, setMultipartClass, setName, setParameter, setPath, setPrefix, setScope, setSuffix, setType, setUnknown, setValidate, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Constructor Detail

### SessionActionMapping

    public SessionActionMapping()

  Construct a new instance of this class with the desired default form bean scope.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation